Bug 503520 - [LTC 6.0 FEAT] Update Perl to 5.10 at a minimum in RHEL 6 [201945]
[LTC 6.0 FEAT] Update Perl to 5.10 at a minimum in RHEL 6 [201945]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl (Show other bugs)
6.0
All All
medium Severity high
: rc
: 6.0
Assigned To: Marcela Mašláňová
Petr Šplíchal
: FutureFeature
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2009-06-01 10:50 EDT by IBM Bug Proxy
Modified: 2016-05-31 21:37 EDT (History)
8 users (show)

See Also:
Fixed In Version: perl-5.10.0-77.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 53695 None None None Never

  None (edit)
Description IBM Bug Proxy 2009-06-01 10:50:26 EDT
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201945]
a. Name of Feature:	Update Perl to 5.10 at a minimum in RHEL 6
b. Feature Description
IBM's Total Storage group would like to see perl updated to 5.10 at a minimum.
This request is consistent with what is in Fedora 11.

2. Feature Details:
Sponsor:	SWG - all brands
Architectures:
x86_64
ppc64

Arch Specificity: Purely Common Code
Delivery Mechanism: Request Red Hat development assistance
Category:	System Storage
Request Type:	Package - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	unsure
g. Component Version Target:	perl 5.10 or higher

3. Business Case
Total Storage will do testing for this feature.  Total storage uses the multi-threading functions of
perl to improve productivity.  John Jarvis requested this feature request

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com

Technical contact(s):
Badari Pulavarty, badari@us.ibm.com
Comment 1 Bill Nottingham 2009-06-02 14:52:22 EDT
Fedora 11 already includes perl-5.10.0.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 John Jarvis 2009-10-15 10:54:53 EDT
IBM is signed up to test and provide feedback
Comment 3 releng-rhel@redhat.com 2009-11-02 18:13:32 EST
Fixed in 'perl-5.10.0-77.el6', included in compose 'RHEL6.0-20091102.0'.
Moving to ON_QA.
Comment 5 releng-rhel@redhat.com 2010-07-02 15:41:35 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.